{% load cms_tags %}

{% block css %}
<style>
    #slider-{{ instance.pk }} {
        background: url("{{ instance.image.url }}");
        background-size: cover;
        background-repeat: no-repeat;
        background-position: top center;
        background-attachment: initial;
        position: relative;
        min-height: 60vh;
        top: 0;
        bottom: 0;
        width: 100%;
    }

    @media (min-width: 768px) {  
         #slider-{{ instance.pk }} {
            min-height: 75vh;
            background-position: center center;
            background-attachment: fixed;
         }
    }

    .img-hero .overlay {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        content: '';
        opacity: .8;
        background: #3636366b;
        }
</style>
{% endblock css %}

<section id="slider-{{ instance.pk }}" class="d-flex img-hero align-items-center img-fluid">
    <div class="overlay"></div>
    <div class="background-img-content container text-white">
        {% for plugin in instance.child_plugin_instances %}
            {% render_plugin plugin %}
        {% endfor %}
        <div class="mouse">
            <a href="#" class="mouse-icon">
                <div class="mouse-wheel"><span class="fas fa-arrow-down"></span></div>
            </a>
        </div>
    </div>
</section>